package com.yijia.customer.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 客户电子会员卡充值优惠设置明细对象 customer_card_setting_detail
 *
 * @author yijia
 * @date 2021-04-06
 */
public class CustomerCardSettingDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 所对应电子会员卡ID */
    @Excel(name = "所对应电子会员卡ID")
    private Long parentId;

    /** 设置充值优惠类型：1，按赠送金额；2，按赠送比例 */
    @Excel(name = "设置充值优惠类型：1，按赠送金额；2，按赠送比例")
    private String settingRuleType;
    private BigDecimal discountAmtStart;
    private BigDecimal discountAmtEnd;
    private String cardType;
    private String status;
    private String cardOilsType;
    private String discountTimeSetting;
    private String discountTimeType;
    private String isDiscountCoupon;
    private String isGradeSetting;
    private String isMarket;
    private String presentScale;
    private String enjoyIntegralMultiple;
    private String delFlag;

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getEnjoyIntegralMultiple() {
        return enjoyIntegralMultiple;
    }

    public void setEnjoyIntegralMultiple(String enjoyIntegralMultiple) {
        this.enjoyIntegralMultiple = enjoyIntegralMultiple;
    }

    public String getPresentScale() {
        return presentScale;
    }

    public void setPresentScale(String presentScale) {
        this.presentScale = presentScale;
    }

    public String getCardOilsType() {
        return cardOilsType;
    }

    public void setCardOilsType(String cardOilsType) {
        this.cardOilsType = cardOilsType;
    }

    public String getDiscountTimeSetting() {
        return discountTimeSetting;
    }

    public void setDiscountTimeSetting(String discountTimeSetting) {
        this.discountTimeSetting = discountTimeSetting;
    }

    public String getDiscountTimeType() {
        return discountTimeType;
    }

    public void setDiscountTimeType(String discountTimeType) {
        this.discountTimeType = discountTimeType;
    }

    public String getIsDiscountCoupon() {
        return isDiscountCoupon;
    }

    public void setIsDiscountCoupon(String isDiscountCoupon) {
        this.isDiscountCoupon = isDiscountCoupon;
    }

    public String getIsGradeSetting() {
        return isGradeSetting;
    }

    public void setIsGradeSetting(String isGradeSetting) {
        this.isGradeSetting = isGradeSetting;
    }

    public String getIsMarket() {
        return isMarket;
    }

    public void setIsMarket(String isMarket) {
        this.isMarket = isMarket;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public BigDecimal getDiscountAmtStart() {
        return discountAmtStart;
    }

    public void setDiscountAmtStart(BigDecimal discountAmtStart) {
        this.discountAmtStart = discountAmtStart;
    }

    public BigDecimal getDiscountAmtEnd() {
        return discountAmtEnd;
    }

    public void setDiscountAmtEnd(BigDecimal discountAmtEnd) {
        this.discountAmtEnd = discountAmtEnd;
    }

    /** 赠送金额值或者赠送c充值金额的比例 */
    @Excel(name = "赠送金额值或者赠送c充值金额的比例")
    private BigDecimal presentAmt;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId()
    {
        return parentId;
    }
    public void setSettingRuleType(String settingRuleType)
    {
        this.settingRuleType = settingRuleType;
    }

    public String getSettingRuleType()
    {
        return settingRuleType;
    }
    public void setPresentAmt(BigDecimal presentAmt)
    {
        this.presentAmt = presentAmt;
    }

    public BigDecimal getPresentAmt()
    {
        return presentAmt;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("settingRuleType", getSettingRuleType())
            .append("discountAmtStart", getDiscountAmtStart())
            .append("discountAmtEnd", getDiscountAmtEnd())
            .append("presentAmt", getPresentAmt())
            .append("status", getStatus())
            .append("cardType", getCardType())
            .toString();
    }
}
